import { jsx } from "react/jsx-runtime";
import { SolarRoofIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const SolarRoof = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "SolarRoof", ...props, children: /* @__PURE__ */ jsx(SolarRoofIcon, { weight: variant }) });
  }
);
SolarRoof.displayName = "SolarRoof";
Object.assign(SolarRoof, { isGdsIcon: true });
export {
  SolarRoof
};
